package com.mortals.xhx.module.matter.web;

import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.PostMapping;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonMappingController;
import com.mortals.xhx.module.matter.model.MatterDatumEntity;
import com.mortals.xhx.module.matter.model.MatterDatumQuery;
import com.mortals.xhx.module.matter.service.MatterDatumService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
/**
*
* 事项申请材料
*
* @author zxfei
* @date 2022-01-12
*/
@RestController
@RequestMapping("matter/datum")
public class MatterDatumController extends BaseCRUDJsonMappingController<MatterDatumService,MatterDatumForm,MatterDatumEntity,Long> {

    @Autowired
    private ParamService paramService;

    public MatterDatumController(){
        super.setFormClass(MatterDatumForm.class);
        super.setModuleDesc( "事项申请材料");
    }

    @Override
    protected void init(HttpServletRequest request, HttpServletResponse response, MatterDatumForm form, Map<String, Object> model, Context context) {
        this.addDict(model, "isMust", paramService.getParamBySecondOrganize("MatterDatum","isMust"));
        this.addDict(model, "materialType", paramService.getParamBySecondOrganize("MatterDatum","materialType"));
        this.addDict(model, "materialProperty", paramService.getParamBySecondOrganize("MatterDatum","materialProperty"));
        this.addDict(model, "electronicgs", paramService.getParamBySecondOrganize("MatterDatum","electronicgs"));
        this.addDict(model, "materialSource", paramService.getParamBySecondOrganize("MatterDatum","materialSource"));
        this.addDict(model, "paperNum", paramService.getParamBySecondOrganize("MatterDatum","paperNum"));
        this.addDict(model, "jianmMs", paramService.getParamBySecondOrganize("MatterDatum","jianmMs"));
        this.addDict(model, "isjianm", paramService.getParamBySecondOrganize("MatterDatum","isjianm"));
        this.addDict(model, "isLack", paramService.getParamBySecondOrganize("MatterDatum","isLack"));
        this.addDict(model, "source", paramService.getParamBySecondOrganize("MatterDatum","source"));
    }




}